[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TStatusPanelClass

Class reference used to create new instances of TStatusPanel.

## Declaration

Source position: comctrls.pp line 60

`type TStatusPanelClass = class of TStatusPanel;`

## Description

TStatusPanelClass is the type returned by the GetPanelClass method in TStatusBar. The class reference is used in the CreatePanel method in TStatusBar to create a new panel for the control.

## See also

TStatusBar.GetPanelClass |  | GetPanelClass - returns a class of status panel.
TStatusBar.CreatePanel |  | CreatePanel - returns a created Status Panel.